Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# LineSource Class Reference
[Colorer interfaces]

Inheritance diagram for LineSource:

## Detailed Description

Interface for editor line information requests.

Basic data source interface, used in TextParser processing.

Note:
  Methods startJob and endJob are optional, and could be implemented or not depending on system archtecture.

## Public Methods

virtual void | startJob (int lno)
| Called by parser, when it starts text parsing.
virtual void | endJob (int lno)
| Called by parser, when it has finished text parsing.
virtual String * | getLine (int lno)=0
| Returns line of text with specified number.

## Member Function Documentation

virtual void LineSource::startJob | ( | int | lno | ) | `[inline, virtual]`

Called by parser, when it starts text parsing.

Parameters:

  lno | Line number, which will be used as initial position of all subsequend parsing.

virtual void LineSource::endJob | ( | int | lno | ) | `[inline, virtual]`

| Called by parser, when it has finished text parsing. Could be used to cleanup objects, allocated by last getLine() call.

virtual String* LineSource::getLine | ( | int | lno | ) | `[pure virtual]`

Returns line of text with specified number.

Returns String class pointer, which incapsulates information about line with number `lno`.

Note:
  Returned pointer must be valid until next getLine method call. If requested line can't be returned, fe there is no line with the passed index, method must return null.

Parameters:

  lno | Requested line number

Returns:
  Unicode string, enwrapped into String class.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.